package com.zhongshu.card.server.core.dao.projectAbout;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.github.microservice.types.payment.PaymentType;
import com.zhongshu.card.client.type.DataState;
import com.zhongshu.card.server.core.domain.paySetting.ProjectPaySetting;

import java.util.List;

public interface ProjectPaySettingDao extends MongoDao<ProjectPaySetting> {

    ProjectPaySetting findTopById(String id);

    ProjectPaySetting findTopByProjectOidAndChannelType(String projectOid, PaymentType channelType);

    List<ProjectPaySetting> findByProjectOid(String projectOid);

    ProjectPaySetting findTopByProjectOidAndState(String projectOid, DataState state);

    List<ProjectPaySetting> findByProjectOidAndState(String projectOid, DataState state);
}
